{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

    <!-- curtain -->
    <div class="art-curtain"></div>


    <!-- swup container -->
    <div class="transition-fade" id="swup">

        <!-- scroll frame -->
        <div id="scrollbar" class="art-scroll-frame">

            <!-- container -->
            <div
                class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

                <!-- Back Button -->
                {% include "home/inc/back_btn.html" %}
                <!-- Back Button -->

                <!-- Display the errors -->
                {% include "home/inc/messages.html" %}
                <!-- Display the errors -->
                <section id='send-message-wrapper' class="mt-5">
                    <header class="my-3 text-right">
                        <h5>
                            {% trans "Send Message for user" %}
                        </h5>
                    </header>

                    <section id='send-message-form-wrapper'>
                        <form method="POST">
                            {% csrf_token %}
                            <!-- form field start -->
                            <div class="form-group row art-form-field">
                                <label for="sender" class="col-sm-2 custom-label col-form-label text-white">
                                    {% trans "Sender" %}
                                </label>
                                <div class="col-sm-10">
                                    <!-- input -->
                                    <input name='sender' id='sender'
                                        class="art-input custom-art-input readable-font-size" type="text"
                                        value="{{ request.user.name }}" readonly />
                                </div>
                            </div>
                            <!-- form field end -->

                            <!-- form field start -->
                            <div class="form-group row art-form-field">
                                <label for="receiver" class="col-sm-2 col-form-label text-white custom-label">
                                    {% trans "Receiver" %}
                                </label>
                                <div class="col-sm-10">
                                    {% if members %}
                                    <!-- input -->
                                    <input type="text" list="members"
                                        placeholder="{% trans 'Select the User whom will receive the message' %}"
                                        class="art-input custom-art-input readable-font-size" required name="receiver"
                                        id="receiver" />
                                    <datalist id="members">
                                        {% for member in members %}
                                        <option value="{{member.email}}">{{member.name}}</option>
                                        {% endfor %}
                                    </datalist>
                                    {% else %}
                                    <input type="text" id="receiver" required name="receiver" readonly
                                    class="art-input custom-art-input readable-font-size" value="{{member.email}}"
                                     />
                                    {% endif %}

                                </div>
                            </div>
                            <!-- form field end -->

                            <!-- form field start -->
                            <div class="form-group row art-form-field">
                                <label for="subject" class="col-sm-2 custom-label col-form-label text-white">
                                    {% trans "Subject" %}
                                </label>
                                <div class="col-sm-10">
                                    <!-- input -->
                                    <input name='subject' id='subject' placeholder="{% trans 'Message Subject' %}"
                                        class="art-input custom-art-input readable-font-size" type="text" required />
                                </div>
                            </div>
                            <!-- form field end -->

                            <!-- form field start -->
                            <div class="form-group row art-form-field">
                                <label for="message" class="col-sm-2 custom-label col-form-label text-white">
                                    {% trans "Message body" %}
                                </label>

                                <div class="col-sm-10">
                                    <!-- input -->
                                    <div class="form-group row art-form-field">
                                        <textarea placeholder="{% trans 'Message Content' %}" required id='message'
                                            name="message" class="readable-font-size" cols="40" rows="10"></textarea>
                                    </div>
                                </div>
                            </div>
                            <!-- form field end -->
                            <!-- button -->
                            <div
                                class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
                                <button class="art-btn art-btn-md art-submit" type="submit">
                                    <span>{% trans 'Send' %}</span>
                                </button>
                                <!-- success -->
                            </div>
                        </form>
                    </section>

                </section>

            </div>
            <!-- container end -->




        </div>
        <!-- scroll frame end -->

    </div>
    <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}